/*
 * Copyright 2021 NXP
 * SPDX-License-Identifier: MIT
 */

#include "lvgl/lvgl.h"
#include <stdio.h>
#include "gui_guider.h"
#include "events_init.h"
#include "custom.h"


void setup_scr_SrceSecurityPasswordOK(lv_ui *ui){

	//Write codes SrceSecurityPasswordOK
	ui->SrceSecurityPasswordOK = lv_obj_create(NULL, NULL);

	//Write codes SrceSecurityPasswordOK_cont_1
	ui->SrceSecurityPasswordOK_cont_1 = lv_cont_create(ui->SrceSecurityPasswordOK, NULL);

	//Write style LV_CONT_PART_MAIN for SrceSecurityPasswordOK_cont_1
	static lv_style_t style_SrceSecurityPasswordOK_cont_1_main;
	lv_style_init(&style_SrceSecurityPasswordOK_cont_1_main);

	//Write style state: LV_STATE_DEFAULT for style_SrceSecurityPasswordOK_cont_1_main
	lv_style_set_radius(&style_SrceSecurityPasswordOK_cont_1_main, LV_STATE_DEFAULT, 0);
	lv_style_set_bg_color(&style_SrceSecurityPasswordOK_cont_1_main, LV_STATE_DEFAULT, lv_color_make(0xe0, 0xe0, 0xe0));
	lv_style_set_bg_grad_color(&style_SrceSecurityPasswordOK_cont_1_main, LV_STATE_DEFAULT, lv_color_make(0xf4, 0xf4, 0xf4));
	lv_style_set_bg_grad_dir(&style_SrceSecurityPasswordOK_cont_1_main, LV_STATE_DEFAULT, LV_GRAD_DIR_VER);
	lv_style_set_bg_opa(&style_SrceSecurityPasswordOK_cont_1_main, LV_STATE_DEFAULT, 255);
	lv_style_set_border_color(&style_SrceSecurityPasswordOK_cont_1_main, LV_STATE_DEFAULT, lv_color_make(0x99, 0x99, 0x99));
	lv_style_set_border_width(&style_SrceSecurityPasswordOK_cont_1_main, LV_STATE_DEFAULT, 0);
	lv_style_set_border_opa(&style_SrceSecurityPasswordOK_cont_1_main, LV_STATE_DEFAULT, 0);
	lv_style_set_pad_left(&style_SrceSecurityPasswordOK_cont_1_main, LV_STATE_DEFAULT, 0);
	lv_style_set_pad_right(&style_SrceSecurityPasswordOK_cont_1_main, LV_STATE_DEFAULT, 0);
	lv_style_set_pad_top(&style_SrceSecurityPasswordOK_cont_1_main, LV_STATE_DEFAULT, 0);
	lv_style_set_pad_bottom(&style_SrceSecurityPasswordOK_cont_1_main, LV_STATE_DEFAULT, 0);
	lv_obj_add_style(ui->SrceSecurityPasswordOK_cont_1, LV_CONT_PART_MAIN, &style_SrceSecurityPasswordOK_cont_1_main);
	lv_obj_set_pos(ui->SrceSecurityPasswordOK_cont_1, 0, 0);
	lv_obj_set_size(ui->SrceSecurityPasswordOK_cont_1, 480, 272);
	lv_obj_set_click(ui->SrceSecurityPasswordOK_cont_1, false);

	//Write codes SrceSecurityPasswordOK_img_1
	ui->SrceSecurityPasswordOK_img_1 = lv_img_create(ui->SrceSecurityPasswordOK_cont_1, NULL);

	//Write style LV_IMG_PART_MAIN for SrceSecurityPasswordOK_img_1
	static lv_style_t style_SrceSecurityPasswordOK_img_1_main;
	lv_style_init(&style_SrceSecurityPasswordOK_img_1_main);

	//Write style state: LV_STATE_DEFAULT for style_SrceSecurityPasswordOK_img_1_main
	lv_style_set_image_recolor(&style_SrceSecurityPasswordOK_img_1_main, LV_STATE_DEFAULT, lv_color_make(0xff, 0xff, 0xff));
	lv_style_set_image_recolor_opa(&style_SrceSecurityPasswordOK_img_1_main, LV_STATE_DEFAULT, 0);
	lv_style_set_image_opa(&style_SrceSecurityPasswordOK_img_1_main, LV_STATE_DEFAULT, 255);
	lv_obj_add_style(ui->SrceSecurityPasswordOK_img_1, LV_IMG_PART_MAIN, &style_SrceSecurityPasswordOK_img_1_main);
	lv_obj_set_pos(ui->SrceSecurityPasswordOK_img_1, 0, 0);
	lv_obj_set_size(ui->SrceSecurityPasswordOK_img_1, 480, 272);
	lv_obj_set_click(ui->SrceSecurityPasswordOK_img_1, true);
	lv_img_set_src(ui->SrceSecurityPasswordOK_img_1,&_nxp_smart_home_10_alpha_480x272);
	lv_img_set_pivot(ui->SrceSecurityPasswordOK_img_1, 0,0);
	lv_img_set_angle(ui->SrceSecurityPasswordOK_img_1, 0);
	lv_cont_set_layout(ui->SrceSecurityPasswordOK_cont_1, LV_LAYOUT_OFF);
	lv_cont_set_fit(ui->SrceSecurityPasswordOK_cont_1, LV_FIT_NONE);
}